Package Details: adwaita-qt 1.3.1-1

Git Clone URL: https://aur.archlinux.org/adwaita-qt.git (read-only, click to copy)
Package Base: adwaita-qt
Description: A style to bend Qt applications to look like they belong into GNOME Shell
Upstream URL: https://github.com/FedoraQt/adwaita-qt
Keywords: gnome qt theme
Licenses: GPL
Submitter: jurf
Maintainer: Indignation
Last Packager: Indignation
Votes: 120
Popularity: 5.03
First Submitted: 2015-07-30 13:37
Last Updated: 2021-06-04 21:41

Dependencies (4)

Required by (4)

Sources (1)

Latest Comments

1 2 3 4 5 6 Next › Last »

iyanmv commented on 2021-06-04 21:50

Indignation: everything is fine, your comment was totally fine. As I said, I found gardotd426's comment rude, not yours. Good luck with your first PKGBUILD! Hopefully, the first of many ;)

Indignation commented on 2021-06-04 21:47

@iyanmv I really didn't want to pressure you into orphaning the package or anything, and I hope I didn't attack you in any way, my intention was just to provide the sha256sum for anyone else trying to get the newest version to work (which is required by qgnomeplatform). I totally understand if you say you'd rather test changes first before prematurely bumping a version. On the other hand, I'm really excited because this is the first package I've ever maintained! Hopefully everything will go well, and thanks for giving me this opportunity!

iyanmv commented on 2021-06-04 21:29

gardotd426: no, that's not the main reason. The main reason is that I don't use it anymore. So testing it actually takes me more time since I do it in a VM. In your original comment you didn't say anything about that you actually tested the package. It was just a rude comment saying two times "literally all you have to do". And to be honest, that coming from someone who maintains literally zero packages in AUR... yeah, I think it's rude. Don't worry, I'm sure Indignation will bump that version for you soon enough.

gardotd426 commented on 2021-06-04 21:25

@iyanmv yeah I'm well aware. That's why I tested it and checked that everything worked before I ever made the comment. But if someone letting you know that a version bump is needed for the package to build (after doing the work for you) is enough to make you orphan the package, then yeah, that's definitely for the best.

gardotd426 commented on 2021-06-04 21:25

@iyanmv yeah I'm well aware. That's why I tested it and checked that everything worked before I ever made the comment. But if someone letting you know that a version bump is needed for the package to build (after doing the work for you) is enough to make you orphan the package, then yeah, that's definitely for the best.

iyanmv commented on 2021-06-04 21:17

Indignation, gardotd426: Maintaining a packages is not simply bumping versions without actually checking that everything works, or at least that's not how I do things here. If you are in such a hurry, adopt the package and maintain it yourselves. People have lives and AUR is not my first priority. Orphaning this package right now.

Indignation commented on 2021-06-04 21:14

PSA to anyone editing the PKGBUILD before installation to get the newest version: bump the pkgver variable to 1.3.1 and replace the sha256sum with 4566061d65773ff9947775a30d92fa004816c3ff5d1357c83de63b3772bc5f4a. Hopefully the maintainer will take care of this soon.

gardotd426 commented on 2021-06-04 00:20

@iyanmv literally all you have to do is change "pkgver" to 1.3.1 (and update the sha256sum) and it will no longer be out of date. There was a crucial bugfix in 1.3.1 so it's pretty necessary, but literally that's all you have to do.

iyanmv commented on 2021-01-06 12:56

@cyberpunkrocker I don't have devices with those arch to check that it works good so I will not add them. Also, Arch only supports x86_64. You are free to use flag -A of makepkg to ignore the arch array or modify the PKGBUILD yourself.

cyberpunkrocker commented on 2021-01-06 10:59

Please add 'armv7h' and 'aarch64' in arch. Adwaita-qt works fine on both architectures.